Package skyview.executive

# Class Samp

java.lang.Object
skyview.executive.Samp

public class Samp extends Object
This class implements the SAMP protocol for SkyView. SAMP is designed to promote interprocess communication between desktop applications. When the SAMP setting is specified SkyView will connect to the SAMP hub and send a image.load.fits message to all registered applications for the images that have been generated.

## Constructor Summary

Constructors
Constructor
Description
`Samp()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`notifyFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Samp

public Samp()

## Method Details

### notifyFile

public static void notifyFile()